## calls-call-record calls-call-record |

## Properties

GDateTime * | answered | Read / Write / Construct
GDateTime * | end | Read / Write / Construct
guint | id | Read / Write / Construct
gboolean | inbound | Read / Write / Construct
char * | protocol | Read / Write / Construct
GDateTime * | start | Read / Write / Construct
char * | target | Read / Write / Construct

## Signals

void | call-delete | Run First

## Types and Values

#define | CALLS_TYPE_CALL_RECORD
| CallsCallRecord

## Object Hierarchy

        GObject
        ╰── GomResource
            ╰── CallsCallRecord

## Description

## Functions

## Types and Values

### CALLS_TYPE_CALL_RECORD

    #define CALLS_TYPE_CALL_RECORD (calls_call_record_get_type ())

### CallsCallRecord

    typedef struct _CallsCallRecord CallsCallRecord;

## Property Details

### The `“answered”` property

      “answered”                 GDateTime *

Time stamp of when the call was answered.

Owner: CallsCallRecord

Flags: Read / Write / Construct

### The `“end”` property

      “end”                      GDateTime *

Time stamp of the end of the call.

Owner: CallsCallRecord

Flags: Read / Write / Construct

### The `“id”` property

      “id”                       guint

The row ID.

Owner: CallsCallRecord

Flags: Read / Write / Construct

Default value: 0

### The `“inbound”` property

      “inbound”                  gboolean

Whether the call was an inbound call.

Owner: CallsCallRecord

Flags: Read / Write / Construct

Default value: FALSE

### The `“protocol”` property

      “protocol”                 char *

The URI protocol for this call.

Owner: CallsCallRecord

Flags: Read / Write / Construct

Default value: NULL

### The `“start”` property

      “start”                    GDateTime *

Time stamp of the start of the call.

Owner: CallsCallRecord

Flags: Read / Write / Construct

### The `“target”` property

      “target”                   char *

The PTSN phone number or other address of the call.

Owner: CallsCallRecord

Flags: Read / Write / Construct

Default value: NULL

## Signal Details

### The `“call-delete”` signal

    void
    user_function (CallsCallRecord *callscallrecord,
                   gpointer         user_data)

Flags: Run First